This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 14510 - <track> how should language be normalized?
Summary: <track> how should language be normalized?
Status: RESOLVED INVALID
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 blocker
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-19 11:58 UTC by contributor
Modified: 2012-07-18 18:41 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2011-10-19 11:58:31 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html
Multipage: http://www.whatwg.org/C#text-track-model
Complete: http://www.whatwg.org/c#text-track-model

Comment:
<track> how should language be normalized?

Posted from: 83.218.67.122 by philipj@opera.com
User agent: Opera/9.80 (X11; Linux x86_64; U; Edition Next; en) Presto/2.9.220 Version/12.00
Comment 1 Philip J├Ągenstedt 2011-10-19 12:05:50 UTC
TextTrack.language is defined as returning a BCP 47 language tag, but should it be normalized at all? The language is most likely not going to be on BCP 47 form in the source for in-band tracks, so in the mapping there is a choice in what to do with capitalization of both the language itself and the script, region, etc.

Also, for out-of-band tracks from <track>, should the srclang attribute be reflected in TextTrack.language verbatim, or should it be coerced to a BCP 47 language tag with some normalization?
Comment 2 Ian 'Hixie' Hickson 2011-10-25 23:37:28 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: 

How the conversion is done for in-band tracks depends on the specification that defines how to map that format to the HTML API.

For out-of-band tracks, the spec seems unambiguous that the literal value in the attribute or API is left unmodified.

Is there something I can do in the spec to make this clearer? What led you to thinking this might not be the case?
Comment 3 Philip J├Ągenstedt 2011-10-26 09:06:07 UTC
(In reply to comment #2)

> How the conversion is done for in-band tracks depends on the specification that
> defines how to map that format to the HTML API.

Very well, I'll revisit the issue when such specs appear and need to be implemented. (I'm assuming they'll be hand-wavy about the issue.)

> For out-of-band tracks, the spec seems unambiguous that the literal value in
> the attribute or API is left unmodified.
> 
> Is there something I can do in the spec to make this clearer? What led you to
> thinking this might not be the case?

When I filed the bug I was unable to find any spec language saying how to make HTMLTrackElement.srclang to TextTrack.language at all, but I think this is it: "The text track language is the element's track language, if any, or the empty string otherwise."

Changing to INVALID.